MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
OutputState.hxx File Reference

Go to the source code of this file.

## Functions
bool | audio_output_state_read (const char *line, MultipleOutputs &outputs)
void | audio_output_state_save (BufferedOutputStream &os, const MultipleOutputs &outputs)
unsigned | audio_output_state_get_version ()
| Generates a version number for the current state of the audio outputs. More...

## Function Documentation

unsigned audio_output_state_get_version | ( |  | ) |

Generates a version number for the current state of the audio outputs.

This is used by timer_save_state_file() to determine whether the state has changed and the state file should be saved.

bool audio_output_state_read | ( | const char * | line,
|  | MultipleOutputs & | outputs
| ) |  |

void audio_output_state_save | ( | BufferedOutputStream & | os,
|  | const MultipleOutputs & | outputs
| ) |  |